﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace AOC2021.Helper
{
    public static class AOCExtensions
    {
        public static int ToInt(this string str)
        {
            return Convert.ToInt32(str);
        }

        public static IEnumerable<IEnumerable<T>> Chunk<T>(this IEnumerable<T> source, int chunksize)
        {
            while (source.Any())
            {
                yield return source.Take(chunksize);
                source = source.Skip(chunksize);
            }
        }
    }
}
